GET api/sticker/{id}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

StickerViewModel
NameDescriptionTypeAdditional information
descriptions

Dictionary of string [key] and string [value]

None.

type

StickerTypeViewModel

None.

relations

Collection of StickerRelationViewModel

None.

details

Collection of StickerDetailViewModel

None.

active

boolean

Required

code

string

Required

Max length: 50

id

globally unique identifier

None.

stickerType_ID

globally unique identifier

Required

stickerRelation_IDs

Collection of globally unique identifier

None.

site_ID

globally unique identifier

Required

Response Formats

application/json, text/json

Sample:
{
  "descriptions": {
    "sample string 1": "sample string 2",
    "sample string 3": "sample string 4"
  },
  "type": {
    "descriptions": {
      "sample string 1": "sample string 2",
      "sample string 3": "sample string 4"
    },
    "code": "sample string 1",
    "id": "8db3b36d-0b24-41d9-8939-fb86247b36e8",
    "technicalDescription": "sample string 3",
    "active": true
  },
  "relations": [
    {
      "active": true,
      "contract_ID": "78de8888-1c8c-4395-a506-875c01df666a",
      "contractItem_ID": "65009ea0-f7da-4a4f-93e0-8e3699c1ea3f",
      "departement_ID": "3ad88a33-eb16-4a8d-8f74-56fbcbe260a1",
      "departmentItem_ID": "fde27277-1f1f-43be-9f01-0109514ff37e",
      "iD": "483d41dd-4c28-43ae-b1f5-f8ddc374a058",
      "site_ID": "61b3929d-1bf6-4e9c-ac73-7342ceb86b21",
      "siteCustomer_ID": "a36922ff-0744-43ee-bfb3-0dc88d377c0d",
      "sticker_ID": "6b7f19b4-dd6d-4287-91ba-bd816971f8a7",
      "garment_ID": "0d255eae-1761-4f6d-90ee-778791856674"
    },
    {
      "active": true,
      "contract_ID": "78de8888-1c8c-4395-a506-875c01df666a",
      "contractItem_ID": "65009ea0-f7da-4a4f-93e0-8e3699c1ea3f",
      "departement_ID": "3ad88a33-eb16-4a8d-8f74-56fbcbe260a1",
      "departmentItem_ID": "fde27277-1f1f-43be-9f01-0109514ff37e",
      "iD": "483d41dd-4c28-43ae-b1f5-f8ddc374a058",
      "site_ID": "61b3929d-1bf6-4e9c-ac73-7342ceb86b21",
      "siteCustomer_ID": "a36922ff-0744-43ee-bfb3-0dc88d377c0d",
      "sticker_ID": "6b7f19b4-dd6d-4287-91ba-bd816971f8a7",
      "garment_ID": "0d255eae-1761-4f6d-90ee-778791856674"
    }
  ],
  "details": [
    {
      "stickerField": {
        "previewValue": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "active": true,
        "code": "sample string 2",
        "id": "5bcdb08a-3262-4172-9b97-67e28a783eea",
        "isProductionSite": true,
        "isStatic": true,
        "separator": "sample string 6",
        "stickerType_ID": "90d47269-ae04-4a10-85d0-4b3e3d03d0b5",
        "technicalDescription": "sample string 8"
      },
      "active": true,
      "backgroundColor": "sample string 2",
      "bold": true,
      "fontSize": 4,
      "foregroundColor": "sample string 5",
      "id": "b08fb5f7-079e-4e20-8352-8a0107bca815",
      "italic": true,
      "staticValue": "sample string 8",
      "sticker_ID": "a0035f90-adae-49b9-97ce-2c908cd1046f",
      "stickerField_ID": "bc9a43e6-818a-43d3-8dc7-97d73473d1fe",
      "stringLength": 1,
      "stringStart": 1,
      "zoneNumber": 11
    },
    {
      "stickerField": {
        "previewValue": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "active": true,
        "code": "sample string 2",
        "id": "5bcdb08a-3262-4172-9b97-67e28a783eea",
        "isProductionSite": true,
        "isStatic": true,
        "separator": "sample string 6",
        "stickerType_ID": "90d47269-ae04-4a10-85d0-4b3e3d03d0b5",
        "technicalDescription": "sample string 8"
      },
      "active": true,
      "backgroundColor": "sample string 2",
      "bold": true,
      "fontSize": 4,
      "foregroundColor": "sample string 5",
      "id": "b08fb5f7-079e-4e20-8352-8a0107bca815",
      "italic": true,
      "staticValue": "sample string 8",
      "sticker_ID": "a0035f90-adae-49b9-97ce-2c908cd1046f",
      "stickerField_ID": "bc9a43e6-818a-43d3-8dc7-97d73473d1fe",
      "stringLength": 1,
      "stringStart": 1,
      "zoneNumber": 11
    }
  ],
  "active": true,
  "code": "sample string 2",
  "id": "c4beeb57-41ed-41f6-ab82-e13dfbb82b64",
  "stickerType_ID": "83b8ea03-76c8-437a-b177-563589479465",
  "stickerRelation_IDs": [
    "f5cb5abe-1d85-4393-83cc-83b2966cf956",
    "77730024-c691-433f-b4dc-144256899f8b"
  ],
  "site_ID": "685bc518-ceaf-4740-b090-b0e3acd6f95d"
}

application/xml

Sample:

Sample not available.

text/xml

Sample:

Sample not available.